com.tibco.n2.service.adapter.component.impl

## Class DACComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.DACComponentImpl

- All Implemented Interfaces:
    DACComponent

      public class DACComponentImpl
      extends java.lang.Object
      implements DACComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DACComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessDeadlineService` | `getBusinessDeadlineService()` Returns a DAC Business Deadline Service object.
    `CalendarService` | `getCalendarService()` Returns a DAC Calendar Service object (v1.1).
    `WorkCalService` | `getWorkCalService()` Returns a DAC Calendar Service object (v1.3).
    `void` | `setBusinessDeadlineService(BusinessDeadlineService aValue)`
    `void` | `setCalendarService(CalendarService aValue)`
    `void` | `setWorkCalService(WorkCalService aValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DACComponentImpl

          public DACComponentImpl()

  - ### Method Detail

    - #### setCalendarService

          public void setCalendarService(CalendarService aValue)

    - #### getCalendarService

          public CalendarService getCalendarService()
                                             throws ConfigurationException

      Description copied from interface: `DACComponent`
      Returns a DAC Calendar Service object (v1.1).
      Specified by:
        `getCalendarService` in interface `DACComponent`
      Throws:
        `ConfigurationException`

    - #### setWorkCalService

          public void setWorkCalService(WorkCalService aValue)

    - #### getWorkCalService

          public WorkCalService getWorkCalService()
                                           throws ConfigurationException

      Description copied from interface: `DACComponent`
      Returns a DAC Calendar Service object (v1.3).
      Specified by:
        `getWorkCalService` in interface `DACComponent`
      Throws:
        `ConfigurationException`

    - #### setBusinessDeadlineService

          public void setBusinessDeadlineService(BusinessDeadlineService aValue)

    - #### getBusinessDeadlineService

          public BusinessDeadlineService getBusinessDeadlineService()
                                                             throws ConfigurationException

      Description copied from interface: `DACComponent`
      Returns a DAC Business Deadline Service object.
      Specified by:
        `getBusinessDeadlineService` in interface `DACComponent`
      Throws:
        `ConfigurationException`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.